package aexp.listimagebutton;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.View.OnClickListener;
import android.widget.ImageButton;
import android.widget.TextView;
import android.widget.BaseAdapter;
import android.widget.Toast;

import java.util.List;

public class ListAdapter extends BaseAdapter {

    public ListAdapter(Context context,
						List<String> items ) { 
		inflater = LayoutInflater.from( context );
        this.context = context;
        this.items = items;
    }

    public int getCount() {                        
        return items.size();
    }

    public Object getItem(int position) {     
        return items.get(position);
    }

    public long getItemId(int position) {  
        return position;
    }

    public View getView(int position, View convertView, ViewGroup parent) { 
        String item = items.get(position);
        View v = null;
        if( convertView != null )
        	v = convertView;
        else
        	v = inflater.inflate( R.layout.item, parent, false);
        TextView itemTV = (TextView)v.findViewById( R.id.item);
        itemTV.setText( item );
		ImageButton button = 
			(ImageButton)v.findViewById( R.id.button);
		button.setOnClickListener(
					new OnClickListener() {
						public void onClick(View v) {
	                        Toast.makeText( context,
	                                "ImageButton clicked",
	                                Toast.LENGTH_SHORT).show();
						}
					});
        return v;
    }

    private Context context;
    private List<String> items;
	private LayoutInflater inflater;
}
